<?php
namespace Teknisa\DF\Modules\Relatorios\Services;

use Teknisa\DF\Modules\Relatorios\Factories\Dfe16000ConsistenciasAfNfFactory;
use Teknisa\GER\Services\CrudService;
use Teknisa\Libs\Util\Environment;

class Dfe16000ConsistenciasAfNfService {

    protected $environment;
    protected $consistenciaRepository;

    public function __construct(Environment $environment, Dfe16000ConsistenciasAfNfFactory $consistenciaRepository) {
        $this->consistenciaRepository = $consistenciaRepository;
        $this->environment = $environment;
    }

    public function getAnaliticoData($params) {
        return $this->consistenciaRepository->getAnaliticoData($params);
    }

    public function getNrorg() {
        return $this->environment->getNrOrgTrab();
    }

    public function validateParameters($row) {
        if (empty($row["P_DTINICIAL"])) {
            throw new \Exception("Data inicial não informada.");
        }
        else if (empty($row["P_DTFINAL"])) {
            throw new \Exception("Data final não informada.");
        }
        else if (empty($row["P_NRORG"])) {
            throw new \Exception("Número da organização não informado.");
        }
        else if ($row["T_CDFILIAL"] == 'L' && empty($row["L_CDFILIRECE"])) {
            throw new \Exception("Lista de unidades não informada.");
        }
    }

}
